<!DOCTYPE html>
<html lang="en">
	<head>
		<!-- Set the content type and structure to ensure wide compatibility -->
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

		<!-- Set the viewport to take up the full device size, at default scale and explicitly allow user to zoom as needed. -->
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=yes" />

		<!-- Run code to handle behavior that needs to happen before the initial visual presentation. -->
		<script>
			// Sets the theme of the page based on the browser and users preferences.
			const applyTheme = async function()
			{
				// Get the users selected theme, if any.
				const selectedTheme = localStorage.getItem('theme');

				// If the user has not made an active choice of theme..
				if(!selectedTheme)
				{
					// Look up the users browsers preference for darkmode.
					const prefersDarkmode = window.matchMedia('(prefers-color-scheme: dark)').matches;

					// Since light mode is default, set darkmode only if requested.
					if(prefersDarkmode)
					{
						document.querySelector('html').classList.add('darkmode');
					}
				}
				// Since light mode is default, set darkmode only if selected.
				else if(selectedTheme === 'dark')
				{
					document.querySelector('html').classList.add('darkmode');
				}
			}

			// Toggles the current theme to/from darkmode and stores the users theme selection.
			const toggleTheme = async function()
			{
				// Change to/from darkmode.
				document.querySelector('html').classList.toggle('darkmode');

				// Look up the users selected theme.
				const currentlyDarkTheme = document.querySelector('html').classList.contains('darkmode');

				// Store the user theme selection.
				if(currentlyDarkTheme)
				{
					localStorage.setItem('theme', 'dark');
				}
				else
				{
					localStorage.setItem('theme', 'light');
				}
			}

			// Apply the initial theme based on the users selection, or the users browser preference.
			// TODO: Re-enable this when dark theme has been configured properly.
			// applyTheme();
		</script>

		<!-- favicon logo -->
		<link rel="shortcut icon" href="favicon.png" />

		<!-- Include roboto font family to ensure consistency across devices. -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Roboto&family=Roboto+Mono&display=swap" rel="stylesheet">

		<!-- Include the visual design of the page before initial presentation -->
		<link rel='stylesheet' type='text/css' href='index.css?version=1651661891091' />

		<!-- Website metadata -->
		<title>Hop to and from SmartBCH</title>
		<meta property="og:title" content="Hop to and from SmartBCH" />
		<meta property="og:description" content="hop.cash two-way custodial bridge between BitcoinCash and SmartBCH." />
		<meta property="og:type" content="website" />
		<meta property="og:url" content="https://hop.cash/" />
		<meta property="og:image" content="hopcash.png" />
		<meta property="og:image:alt" content="Hop.cash logo image." />
		<meta property="og:article:section" content="Technology" />
		<meta property="og:article:tag" content="Bitcoin" />
		<meta property="og:article:tag" content="Bitcoin Cash" />
		<meta property="og:article:tag" content="BCH" />
		<meta property="og:article:tag" content="Cryptocurrencies" />
	</head>
	<body>
		<!-- Page header that is always visible, with logo and language selection. -->
		<img id='logo' src='logo.png' alt='HopCash Logo' />
		<nav id='header'>
			<ul id='languageSelector'>
				<li data-set-language='en'>🇬🇧 English</li>
				<li data-set-language='cn'>🇨🇳 中文</li>
				<li data-set-language='es'>🇪🇸 Español</li>
			</ul>
		</nav>

		<!-- Main page content, separated into views that can be toggled on or off. -->
		<main>
			<!-- Requirement overlay, shown when the metamask wallet requirements are not met. -->
			<section id='requirements'>
				<img src='metamask.png' alt='MetaMask Logo' />

				<ul>
					<li id='installWallet'>
						<button>
							<span data-translation='INSTALL_METAMASK'>{{PLACEHOLDER_FOR_TRANSLATION}}</span>
							<small data-translation='YOU_NEED_A_SMART_WALLET_TO_USE_THIS_BRIDGE'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
						</button>
					</li>
					<li id='setupNetwork'>
						<button>
							<span data-translation='SETUP_SMARTBCH'>{{PLACEHOLDER_FOR_TRANSLATION}}</span>
							<small data-translation='GIVES_YOUR_WALLET_ACCESS_TO_SMARTBCH'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
						</button>
					</li>
					<li id='connectWallet'>
						<button>
							<span data-translation='CONNECT_WALLET'>{{PLACEHOLDER_FOR_TRANSLATION}}</span>
							<small data-translation='PROVIDES_YOUR_WALLET_ADDRESS_TO_THE_BRIDGE'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
						</button>
					</li>
					<li id='unlockWallet'>
						<button>
							<span data-translation='UNLOCK_METAMASK'>{{PLACEHOLDER_FOR_TRANSLATION}}</span>
							<small data-translation='YOU_CANNOT_BRIDGE_WITH_A_LOCKED_WALLET'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
						</button>
					</li>
				</ul>
			</section>

			<!-- Proposal view, the main bridge presentation where the user can provide their bridge intent to get started. -->
			<section id='proposal'>
				<form onsubmit='return false;'>
					<input type="radio" name="proposedDirection" id='proposedDirectionToSmart' value="cash2smart" checked>
					<input type="radio" name="proposedDirection" id='proposedDirectionToCash' value="smart2cash">

					<fieldset id='proposalDirection'>
						<div id='proposedFromDirection'>
							<label data-translation='FROM'>From:</label>
							<button type='button'>
								<img src='bitcoincash.png' alt='From chain' />
								<span>Bitcoin&nbsp;Cash</span>
							</button>
						</div>
						<div id='toggleDirection'>
							<span class='--direction'></span>
						</div>
						<div id='proposedToDirection'>
							<label data-translation='TO'>To:</label>
							<button type='button'>
								<img src='smartbch.png' alt='To chain' />
								<span>Smart&nbsp;BCH</span>
							</button>
						</div>
					</fieldset>

					<fieldset>
						<div id='proposedBridgeAmount'>
							<label data-translation='AMOUNT_BCH'>Amount (BCH):</label>
							<input name='proposedBridgeAmount' type='number' required min='0.01' max='0.01' step='0.00000001' placeholder='Enter bridge amount..' data-translation-placeholder='ENTER_BRIDGE_AMOUNT' />
							<small>
								<span data-translation='MINIMUM_BCH'>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<b id='minBridgeAmount'>0.01</b>
									{{PLACEHOLDER_FOR_TRANSLATION}}
								</span>
								<span data-translation='MAXIMUM_BCH'>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<b id='maxBridgeAmount'>0.01</b>
									{{PLACEHOLDER_FOR_TRANSLATION}}
								</span>
							</small>
						</div>
						<div id='proposedPayoutAddress'>
							<label data-translation='RECIPIENT'>Recipient:</label>
							<input name='proposedPayoutAddress' type='text' spellcheck='false' required readonly placeholder='Enter receiving address..' data-translation-custom-validity data-translation-placeholder='ENTER_RECEIVING_ADDRESS' />
							<small data-translation='THIS_IS_YOUR_METAMASK_ADDRESS'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
						</div>
					</fieldset>

					<fieldset>
						<div id='confirmBridgeRequest'>
							<button type='submit'>
								<span data-translation='BRIDGE_BCH'>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<b id='selectedBridgeAmount'>0.00</b>
									{{PLACEHOLDER_FOR_TRANSLATION}}
								</span>
								<span><small id='bridgeEstimatedTime' data-translation='CANNOT_BRIDGE_LESS_THAN_MINIMUM_AMOUNT'>{{PLACEHOLDER_FOR_TRANSLATION}}</small></span>
							</button>
						</div>
					</fieldset>
				</form>
			</section>

			<!-- Payment view, shows a payment link, qr code and the related amount and addresses. -->
			<section id='payment'>
				<form onsubmit='return false;'>
					<fieldset id='paymentLink'>
						<img alt='Payment QR code' />
						<div>
							<label data-translation='PAYMENT_LINK'>{{PLACEHOLDER_FOR_TRANSLATION}}</label>
							<a href='bitcoincash:?amount='>bitcoincash:?amount=</a>
						</div>
					</fieldset>
					<fieldset>
						<div id='paymentAmount'>
							<label data-translation='SEND_AT_LEAST'>{{ PLACEHOLDER_FOR_TRANSLATION }}</label>
							<div class='inputWithIconContainer'>
								<input type='text' required readonly />
								<span class='inputIcon'>📋</span>
							</div>
							<div id='paymentBelowMinimumAmountNotice'>
								<small data-translation='BELOW_MINIMUM_NOTICE'>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<span id="paymentAmountReceived"></span>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<span class="bridgeMinimumAmount">0.01</span>
									{{PLACEHOLDER_FOR_TRANSLATION}}
								</small>
							</div>
						</div>
						<div id='paymentCashAddress'>
							<label data-translation='TO_CASH_ADDRESS'>
								{{PLACEHOLDER_FOR_TRANSLATION}}
								<b>cash</b>
								{{PLACEHOLDER_FOR_TRANSLATION}}
							</label>
							<div class='inputWithIconContainer'>
								<input type='text' required readonly />
								<span class='inputIcon'>📋</span>
							</div>
							<small data-translation="CASH_ADDRESS_EXPLANATION">{{ PLACEHOLDER_FOR_TRANSLATION }}</small>
						</div>
						<div id='paymentLegacyAddress'>
							<label data-translation='OR_LEGACY_ADDRESS'>
								{{PLACEHOLDER_FOR_TRANSLATION}}
								<b data-translation="LEGACY">{{ PLACEHOLDER_FOR_TRANSLATION }}</b>
								{{PLACEHOLDER_FOR_TRANSLATION}}
							</label>
							<div class='inputWithIconContainer'>
								<input type='text' required readonly />
								<span class='inputIcon'>📋</span>
							</div>
							<small data-translation="LEGACY_ADDRESS_EXPLANATION">{{ PLACEHOLDER_FOR_TRANSLATION }}</small>
						</div>
					</fieldset>
					<fieldset>
						<div id='cancelPayment'>
							<button class='valid' type='submit' data-translation='CANCEL_BRIDGE_REQUEST'>{{PLACEHOLDER_FOR_TRANSLATION}}</button>
						</div>
					</fieldset>
				</form>
			</section>

			<!-- Request view, provides a follow-up status for a given request transaction. -->
			<section id='request'>
				<form onsubmit='return false;'>
					<fieldset id='requestStatus'>
						<div>
							<span>
								<span class='statusRing'></span>
								<span class='statusIcon'></span>
							</span>
						</div>
						<small id="requestAmountReceivedNotice" data-translation='RECEIVED_X_BCH'>
							{{ PLACEHOLDER_FOR_TRANSLATION }}
							<span id="requestAmountReceived"></span>
							{{ PLACEHOLDER_FOR_TRANSLATION }}
						</small>
						<small id='requestInsufficientLiquidityNotice' data-translation='INSUFFICIENT_LIQUIDITY_NOTICE'>{{PLACEHOLDER_FOR_TRANSLATION}}</small>
					</fieldset>
					<fieldset>
						<div id='requestTransactionToBridge'>
							<label data-translation='BRIDGE_REQUEST'>{{PLACEHOLDER_FOR_TRANSLATION}}</label>
							<div class='inputWithIconContainer'>
								<input type='text' readonly />
								<span class='inputIcon'>📋</span>
							</div>
							<small>
								<span id='requestBridgeRequirement' data-translation="CONFIRMATIONS">{{PLACEHOLDER_FOR_TRANSLATION}}</span>
								<span id='requestBridgeState'>0/1</span>
							</small>
						</div>
						<div id='requestTransactionFromBridge'>
							<label data-translation='BRIDGE_PAYOUT'>Bridge payout:</label>
							<div class='inputWithIconContainer'>
								<input type='text' readonly />
								<span class='inputIcon'>📋</span>
							</div>
							<small>
								<span data-translation='CHECK_OUT_OUR'>
									{{PLACEHOLDER_FOR_TRANSLATION}}
									<a id='promotionLink' data-translation='INTEGRATION_PARTNERS'>{{PLACEHOLDER_FOR_TRANSLATION}}</a>
									{{PLACEHOLDER_FOR_TRANSLATION}}
								</span>
								<span></span>
							</small>
						</div>
					</fieldset>
					<fieldset>
						<div id='completeRequest'>
							<button id='refresh' type='submit' data-translation='RETURN_TO_BRIDGE'>{{PLACEHOLDER_FOR_TRANSLATION}}</button>
						</div>
					</fieldset>
				</form>
			</section>

			<!-- First-time introduction view, tells the user what hop.cash is, and our partners. -->
			<section id='introduction'>
				<form onsubmit='return false;'>
					<fieldset>
						<div id='closeIntroduction'>
							<h2 data-translation='HI_THERE'>Hi there!</h2>
							<p data-translation='WE_CAN_HELP_YOU_BRIDGE_YOUR_BITCOIN_CASH'>
								{{PLACEHOLDER_FOR_TRANSLATION}}
								<b>Bitcoin Cash</b>
								{{PLACEHOLDER_FOR_TRANSLATION}}
								<b>SmartBCH</b>
								{{PLACEHOLDER_FOR_TRANSLATION}}
							</p>
							<button type='submit' class='valid'>
								<span data-translation='GO_TO_THE_BRIDGE'>{{PLACEHOLDER_FOR_TRANSLATION}}</span>
							</button>
						</div>
					</fieldset>

					<hr />

					<fieldset>
						<div>
							<h3 data-translation='CHECK_OUT_OUR_PARTNERS'>{{PLACEHOLDER_FOR_TRANSLATION}}</h3>

							<ol>
								<li><a href='https://app.mistswap.fi/' target="_blank">MistSwap</a></li>
								<li><a href='https://www.paytaca.com/' target="_blank">Paytaca</a></li>
								<li><a href='https://pokket.cash/' target="_blank">Pokket</a></li>
							</ol>
						</div>
					</fieldset>

					<hr />

					<fieldset>
						<div>
							<h3 data-translation='IF_YOU_NEED_SUPPORT'>{{PLACEHOLDER_FOR_TRANSLATION}}</h3>

							<ol>
								<li>
									<a target="_blank" data-translation='FREQUENTLY_ASKED_QUESTIONS' data-translation-href="FREQUENTLY_ASKED_QUESTIONS_LINK">{{PLACEHOLDER_FOR_TRANSLATION}}</a>
								</li>
								<li>
									<a href='https://twitter.com/hopdotcash' target="_blank" data-translation='NEWS_ON_TWITTER'>{{PLACEHOLDER_FOR_TRANSLATION}}</a>
								</li>
								<li>
									<a href='https://t.me/hopcash' target="_blank" data-translation='CHAT_ON_TELEGRAM'>{{PLACEHOLDER_FOR_TRANSLATION}}</a>
								</li>
							</ol>
						</div>
					</fieldset>
				</form>
			</section>
		</main>

		<!-- Page footer that is always visible, showing fee rate and social media links. -->
		<nav id='footer'>
			<ul>
				<li>
					<span data-translation='FEE_FOOTER'>
						{{PLACEHOLDER_FOR_TRANSLATION}}
						<b class="feePercentage">X.X%</b>
						{{PLACEHOLDER_FOR_TRANSLATION}}
						<b class="minimumFee">X.XXXX</b>
						{{PLACEHOLDER_FOR_TRANSLATION}}
					</span>
				</li>
				<li>
					<a href='https://twitter.com/hopdotcash' target="_blank">
						<img src='twitter.png' alt='news' />
					</a>
				</li>
				<li>
					<a href='https://t.me/hopcash' target="_blank">
						<img src='telegram.png' alt='chat' />
					</a>
				</li>
				<li>
					<a id='helpToggle'>
						<img src='questionmark.png' alt='help' />
					</a>
				</li>
			</ul>
		</nav>

		<!-- Load the application script after the rest of the page has been loaded. -->
		<script src='index.js?version=1651661891091'></script>
	</body>
</html>
